import { Component } from '@angular/core';

@Component({
    selector: 'ej-app',
    templateUrl: 'src/treegrid/treegrid.component.html',    
    styleUrls: ['src/treegrid/treegrid.component.css'],
})
export class TreeGridComponent {
    public treeGridData: any;
	public HCSplitterProperties = [];
    constructor() {
	
        this.treeGridData =  [{
         taskID: 1,
         taskName: "Planning",
         startDate: "02/03/2014",
         endDate: "02/07/2014",
         progress: 100,
         duration: 5,
         subtasks: [
             { taskID: 2, taskName: "Plan timeline", startDate: "02/03/2014", endDate: "02/07/2014", duration: 5, progress: 100 },
             { taskID: 3, taskName: "Plan budget", startDate: "02/03/2014", endDate: "02/07/2014", duration: 5 },
             { taskID: 4, taskName: "Allocate resources", startDate: "02/03/2014", endDate: "02/07/2014", duration: 5, progress: 100 },
             { taskID: 5, taskName: "Planning complete", startDate: "02/07/2014", endDate: "02/07/2014", duration: 0, progress: 0 }
         ]
     }]  
		this.treeColumnIndex = 1;
		this.sizeSettings = {height:"300px",width:"100%"};
		this.childMapping = "subtasks";
  
		this.HCSplitterProperties = [ { paneSize: "50%", expandable: true }, { paneSize: "auto", minSize: "auto", maxSize: "auto", collapsible: true}]  
    }
}
